//
//  TeamsCallingView.swift
//  PadelClub
//
//  Created by razmig on 10/07/2024.
//

import SwiftUI

struct TeamsCallingView: View {
    @Environment(Tournament.self) var tournament: Tournament
    
    var body: some View {
        List {
            let teams = tournament.selectedSortedTeams()
            Section {
                ForEach(teams) { team in
                    TeamRowView(team: team, displayCallDate: true)
                }
            }
        }
        .headerProminence(.increased)
        .navigationTitle("Statut des équipes")
        .navigationBarTitleDisplayMode(.inline)
        .toolbarBackground(.visible, for: .navigationBar)
    }

}
